package preferences


#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. this is overridden here as we don't want a 'preferences' 
# link on this page

_javalinks_ {_imagehome__imagehelp_}
_javalinks_ [v=1] {
_imagehome_<br>
_imagehelp_<br>
}


#######################################################################
# scripts
# note that changing either the "m" or the "o" argument
# from the preferences page necessitates reseting the "r"
# argument to 1
#######################################################################

_pagescriptextra_ {
// preferences scripts generated from \_preferences:pagescriptextra\_

	savedhrefs = new Object();

	argk = "";
	args = "";		
	argm = "";
	argo = "";
	argb = "";

	function initialize () \{
		for (i = 0; i < document.links.length; i++)
			savedhrefs[i] = document.links[i].href;
	\}

	function updatehrefs () \{
		for (i = 0; i < document.links.length; i++)
			document.links[i].href = savedhrefs[i] + argk + args + argm + argo + argb;
	\}

	function updatek (value) \{
		if (value != _cgiargk_) argk = "&k=" + value;
		else argk = "";
		updatehrefs();
	\}

	function updates (value) \{
		if (value != _cgiargs_) args = "&s=" + value;
		else args = "";
		updatehrefs();
	\}

	function updatem () \{
		value = document.PrefForm.m.options[document.PrefForm.m.selectedIndex].value;
		if (value != _cgiargm_) argm = "&r=1&m=" + value;
		else argm = "";
		updatehrefs();
	\}

	function updateo () \{
		value = document.PrefForm.o.options[document.PrefForm.o.selectedIndex].value;
		if (value != _cgiargo_) argo = "&r=1&o=" + value;
		else argo = "";
		updatehrefs();
	\}

	function updateb (value) \{
		if (value != _cgiargb_) argb = "&b=" + value;
		else argb = "";
		updatehrefs();
	\}

	function updatel () \{
		value = document.PrefForm.l.options[document.PrefForm.l.selectedIndex].value;
		location.href = location.href + argk + args + argm + argo + argb + "&l=" + value;
	\}

	function updatev () \{
		value = document.PrefForm.v.options[document.PrefForm.v.selectedIndex].value;
		location.href = location.href + argk + args + argm + argo + argb + "&v=" + value;
	\}

	function updatew () \{
		value = document.PrefForm.w.options[document.PrefForm.w.selectedIndex].value;
		location.href = location.href + argk + args + argm + argo + argb + "&nw=" + value;
	\}

}

#######################################################################
# headers
# these are overridden so we can put an onLoad event handler
# in the <body> tag of this page
#######################################################################


_header_ {_cgihead_
_htmlhead_(background="_httpiconchalk_" onLoad="initialize();")_startspacer__pagebanner_
}

# this declaration ends up being the same as style=restrict, never mind
_header_[v=1] {_cgihead_
_htmlhead_(onLoad="initialize();")_pagebanner_
}


#######################################################################
# page content
#######################################################################

_pagetitle_ {_collectionname_: _textpreferences_}
_imagethispage_ {_iconthispage_}

_caseoption_ {
<input type=radio name=k value=1 onClick="updatek(1);"
		_If_(_cgiargk_, checked)>_textignorecase_<br>
<input type=radio name=k value=0 onClick="updatek(0);"
		_If_(_cgiargk_,, checked)>_textmatchcase_
}

_stemoption_ {
<input type=radio name=s value=1 onClick="updates(1);"
		_If_(_cgiargs_, checked)>_textstem_<br>
<input type=radio name=s value=0 onClick="updates(0);"
		_If_(_cgiargs_,, checked)>_textnostem_
}

_maxdocoption_ {
<select name="m" onChange="updatem();">
  <option value="50"_If_("_cgiargm_" eq "50", selected)>50
  <option value="100"_If_("_cgiargm_" eq "100", selected)>100
  <option value="200"_If_("_cgiargm_" eq "200", selected)>200
</select>
}

_hitsperpageoption_ {
<select name="o" onChange="updateo();">
  <option value="10"_If_("_cgiargo_" eq "10", selected)>10  
  <option value="20"_If_("_cgiargo_" eq "20", selected)>20
  <option value="50"_If_("_cgiargo_" eq "50", selected)>50
  <option value="100")_If_("_cgiargo_" eq "100", selected)>all
</select>
}

_modeoption_ {
<input type=radio name=b value=0 onClick="updateb(0);"
		_If_(_cgiargb_,, checked)>_textsimplemode_<br>
<input type=radio name=b value=1 onClick="updateb(1);"
		_If_(_cgiargb_, checked)>_textadvancedmode_
}

_languageoption_ {
_textlanguage_
<select name="l" onChange="updatel();">
  <option value="en"_If_("_cgiargl_",, selected)_If_("_cgiargl_" eq "en", selected)>English
  <option value="mi"_If_("_cgiargl_" eq "mi", selected)>Maori
  <option value="zh"_If_("_cgiargl_" eq "zh", selected)>Chinese
</select>
}

_encodingoption_ {
_textencoding_
<select name="w" onChange="updatew();">
  <option value="w" _If_("_cgiargw_" eq "w",selected)>Western (ISO-8859-1)
  <option value="u" _If_("_cgiargw_" eq "u",selected)>UTF-8
  <option value="g" _If_("_cgiargw_" eq "g",selected)>GBK
</select>
}

_formatoption_ {
_textformat_
<select name="v" onChange="updatev();">
  <option value="0"_If_("_cgiargv_" eq "0", selected)>Graphical
  <option value="1"_If_("_cgiargv_" eq "1", selected)>Textual
</select>
}

_content_ {
<center>
_navigationbar_
</center>
<blockquote>

<form name=PrefForm method=get action="_gwcgi_">

<input type="hidden" name="e" value="_compressedoptions_">

<p>_caseoption_

<p>_stemoption_

<p>
_textprefop_

<p>
_modeoption_

<p>
_languageoption_

<p>
_encodingoption_

<p>
_formatoption_

</blockquote>
</form>
}


#######################################################################
# https
#######################################################################

_httpiconhpref_ {_httpimg_/h\_pref.gif}
_httpiconhpref_ [l=mi] {_httpimg_/mh\_pref.gif}
_widthhpref_ {200}
_widthhpref_ [l=mi] {220}
_heighthpref_ {57}


#######################################################################
# icons
#######################################################################

_iconthispage_ {<img src="_httpiconhpref_" alt="_textpreferences_" width="_widthhpref_" height="_heighthpref_">}
_iconthispage_ [l=mi] {<img src="_httpimg_/mh\_pref.gif" alt="" width="220" height="57">}


#######################################################################
# english macros
#######################################################################

_textpreferences_ {Preferences}
_textignorecase_ { ignore case differences}
_textmatchcase_ { upper/lower case must match}
_textstem_ { ignore word endings}
_textnostem_ { whole word must match}
_textprefop_ {Return up to _maxdocoption_ hits with _hitsperpageoption_ hits per page.}
_textlanguage_ {Interface language: }
_textencoding_ {Encoding: }
_textformat_ {Interface format: }
_textsimplemode_ {simple query mode}
_textadvancedmode_ {advanced query mode (allows boolean searching using !, &, |, and parenthesis)}

#######################################################################
# maori macros
#######################################################################

_textpreferences_ [l=mi] {Whiriwhiringa}
_textignorecase_ [l=mi] { hei aha te p&uuml; matua me te p&uuml; iti}
_textmatchcase_ [l=mi] { me tika te p&uuml; matua me te p&uuml; iti}
_textstem_ [l=mi] { hei aha te k&uuml;muri}
_textnostem_ [l=mi] { me tika te k&uuml;muri}
_textprefop_ [l=mi] {Whakahokia mai te _maxdocoption_ kupu, &auml;, kia _hitsperpageoption_ kupu ki ia wh&auml;rangi.}






